<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ResourceBackgroundQueue Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#8f60aa6699d6ea2f645cf375cf5ef817">_doNextQueuedBackgroundProcess</a>()</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#26eff0a3702469fb1c18ecb30589aa76">_fireBackgroundLoadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#20d36a810c38446862e913444fadad85">_initThread</a>()</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#d47c5ba2a6253b0fdb0aa9bf9d92f8f7">_queueFireBackgroundLoadingComplete</a>(Resource *res)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#85e23967cb7bce8948b744e0de9af17a">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#8560b1f597bcb32f13d4a0abbdbb2e02">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#b7ac1af9d48ef0177778522c5cb97a59">getStartBackgroundThread</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#8842996829730ae05d3dd06c1a8224ad">initialise</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#be1b5ef553e2e9cafc6172af3f0edc1a">initialiseAllResourceGroups</a>(Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#2543a3c0903bb5441c3b75f3c44d6cfa">initialiseResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#7165b27dcde57a8f6d49ca40c76bb75b">isProcessComplete</a>(BackgroundProcessTicket ticket)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#b14cf2235526638f58ddbf234379219a">load</a>(const String &amp;resType, const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#8caf7ad66b4c65608fa6a6dfc0b0f7cb">loadResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#e669d2a7f93ff48abdc16b26c39ecb3b">mNextTicketID</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#5d1138c63255c3f1c8afac581a698530">mNotificationQueue</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#c46af6540373ba361e25f6b633403fad">mRequestQueue</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#c7dcdc6e70a2376d9e23afafeac4e145">mRequestTicketMap</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#b5b6cf0b300afba334961387909accd8">mStartThread</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#b6a8c0ae1544490569ef3788c5c6f08b">mThread</a></td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#5200e347199cb918e891d847e863feb9">NotificationQueue</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#e04ad37bc376b91bf82c7e9da403d909">OGRE_THREAD_SYNCHRONISER</a>(initSync)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#bc93b62edfd70d2da270e5994a0acdf3">queueFireBackgroundOperationComplete</a>(Listener *listener, BackgroundProcessTicket ticket)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#fd755f08d1050f013d3a5bfadd1e886b">RequestQueue</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#7358e15601d9373f738f38f6aa7a6ad1">RequestTicketMap</a> typedef</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b745">RequestType</a> enum name</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#74525d1f4e99a24afa3cc0800f0b6ce9">ResourceBackgroundQueue</a>()</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b7459a307a52ca7851def901b0140b727a3d">RT_INITIALISE_ALL_GROUPS</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b745e8ee38057ec65c7818091b1caca338ca">RT_INITIALISE_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b7456fc6a9ca84e7613ae861d7c432843cc9">RT_LOAD_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b7457327f4cfe781534a62de7541b5f23e15">RT_LOAD_RESOURCE</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b74526df4cc6f4b6772e4026c5d6a2749c3c">RT_SHUTDOWN</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b7459d78e28a478d97ad7e7d0bbb03699fb5">RT_UNLOAD_GROUP</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#edf467d04f827459c96ba08cdf61b745471ed9d09791d8524d9f9b838cd2da72">RT_UNLOAD_RESOURCE</a> enum value</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#ec6aec8fe94ec6bf29e8e7dc30d83319">setStartBackgroundThread</a>(bool startThread)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#e6e64b1d717c2a377a60772a5cbd8dec">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#e372f5db5fedec9648076e48407edf7c">unload</a>(const String &amp;resType, const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#91632d515e4c42970306bb8310df5790">unload</a>(const String &amp;resType, ResourceHandle handle, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#63632d3cd174ec2ba091145199e7be42">unloadResourceGroup</a>(const String &amp;name, Listener *listener=0)</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html#407ce0c4668bdf5558e15f7f99c37fa8">~ResourceBackgroundQueue</a>()</td><td><a class="el" href="classOgre_1_1ResourceBackgroundQueue.html">Ogre::ResourceBackgroundQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:29 2008
</p>
</body>
</html>
